
package nl.amis.probe.webservice.types;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the nl.amis.probe.webservice.types package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _Component_QNAME = new QName("nl.amis.messages/probeservice/v1", "Component");
    private final static QName _PingResponse_QNAME = new QName("nl.amis.messages/probeservice/v1", "PingResponse");
    private final static QName _DeepPingResponse_QNAME = new QName("nl.amis.messages/probeservice/v1", "DeepPingResponse");
    private final static QName _Route_QNAME = new QName("nl.amis.messages/probeservice/v1", "Route");
    private final static QName _DeepPingRequest_QNAME = new QName("nl.amis.messages/probeservice/v1", "DeepPingRequest");
    private final static QName _CheckProcessResponse_QNAME = new QName("nl.amis.messages/probeservice/v1", "CheckProcessResponse");
    private final static QName _CheckProcessRequest_QNAME = new QName("nl.amis.messages/probeservice/v1", "CheckProcessRequest");
    private final static QName _PingRequest_QNAME = new QName("nl.amis.messages/probeservice/v1", "PingRequest");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: nl.amis.probe.webservice.types
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link TCheckProcessResponse }
     * 
     */
    public TCheckProcessResponse createTCheckProcessResponse() {
        return new TCheckProcessResponse();
    }

    /**
     * Create an instance of {@link TDeepPingRequest }
     * 
     */
    public TDeepPingRequest createTDeepPingRequest() {
        return new TDeepPingRequest();
    }

    /**
     * Create an instance of {@link TPingRequest }
     * 
     */
    public TPingRequest createTPingRequest() {
        return new TPingRequest();
    }

    /**
     * Create an instance of {@link TCheckProcessRequest }
     * 
     */
    public TCheckProcessRequest createTCheckProcessRequest() {
        return new TCheckProcessRequest();
    }

    /**
     * Create an instance of {@link TComponent }
     * 
     */
    public TComponent createTComponent() {
        return new TComponent();
    }

    /**
     * Create an instance of {@link TRoute }
     * 
     */
    public TRoute createTRoute() {
        return new TRoute();
    }

    /**
     * Create an instance of {@link TDeepPingResponse }
     * 
     */
    public TDeepPingResponse createTDeepPingResponse() {
        return new TDeepPingResponse();
    }

    /**
     * Create an instance of {@link TPingResponse }
     * 
     */
    public TPingResponse createTPingResponse() {
        return new TPingResponse();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TComponent }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "nl.amis.messages/probeservice/v1", name = "Component")
    public JAXBElement<TComponent> createComponent(TComponent value) {
        return new JAXBElement<TComponent>(_Component_QNAME, TComponent.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TPingResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "nl.amis.messages/probeservice/v1", name = "PingResponse")
    public JAXBElement<TPingResponse> createPingResponse(TPingResponse value) {
        return new JAXBElement<TPingResponse>(_PingResponse_QNAME, TPingResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TDeepPingResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "nl.amis.messages/probeservice/v1", name = "DeepPingResponse")
    public JAXBElement<TDeepPingResponse> createDeepPingResponse(TDeepPingResponse value) {
        return new JAXBElement<TDeepPingResponse>(_DeepPingResponse_QNAME, TDeepPingResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TRoute }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "nl.amis.messages/probeservice/v1", name = "Route")
    public JAXBElement<TRoute> createRoute(TRoute value) {
        return new JAXBElement<TRoute>(_Route_QNAME, TRoute.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TDeepPingRequest }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "nl.amis.messages/probeservice/v1", name = "DeepPingRequest")
    public JAXBElement<TDeepPingRequest> createDeepPingRequest(TDeepPingRequest value) {
        return new JAXBElement<TDeepPingRequest>(_DeepPingRequest_QNAME, TDeepPingRequest.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TCheckProcessResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "nl.amis.messages/probeservice/v1", name = "CheckProcessResponse")
    public JAXBElement<TCheckProcessResponse> createCheckProcessResponse(TCheckProcessResponse value) {
        return new JAXBElement<TCheckProcessResponse>(_CheckProcessResponse_QNAME, TCheckProcessResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TCheckProcessRequest }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "nl.amis.messages/probeservice/v1", name = "CheckProcessRequest")
    public JAXBElement<TCheckProcessRequest> createCheckProcessRequest(TCheckProcessRequest value) {
        return new JAXBElement<TCheckProcessRequest>(_CheckProcessRequest_QNAME, TCheckProcessRequest.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TPingRequest }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "nl.amis.messages/probeservice/v1", name = "PingRequest")
    public JAXBElement<TPingRequest> createPingRequest(TPingRequest value) {
        return new JAXBElement<TPingRequest>(_PingRequest_QNAME, TPingRequest.class, null, value);
    }

}
