
package nl.amis.probe.webservice.types;

import java.math.BigDecimal;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * <p>Java class for tCheckProcessRequest complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="tCheckProcessRequest">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="ProcessString" type="{nl.amis.messages/probeservice/v1}tWoord"/>
 *         &lt;element name="ProcessNumber" type="{nl.amis.messages/probeservice/v1}tGetal"/>
 *         &lt;element name="ProcessDate" type="{nl.amis.messages/probeservice/v1}tDatum"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "tCheckProcessRequest", propOrder = {
    "checkString",
    "checkNumber",
    "checkDate"
})
public class TCheckProcessRequest {

    @XmlElement(name = "ProcessString", required = true)
    protected String checkString;
    @XmlElement(name = "ProcessNumber", required = true)
    protected BigDecimal checkNumber;
    @XmlElement(name = "ProcessDate", required = true)
    protected XMLGregorianCalendar checkDate;

    /**
     * Gets the value of the checkString property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getProcessString() {
        return checkString;
    }

    /**
     * Sets the value of the checkString property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setProcessString(String value) {
        this.checkString = value;
    }

    /**
     * Gets the value of the checkNumber property.
     * 
     * @return
     *     possible object is
     *     {@link BigDecimal }
     *     
     */
    public BigDecimal getProcessNumber() {
        return checkNumber;
    }

    /**
     * Sets the value of the checkNumber property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigDecimal }
     *     
     */
    public void setProcessNumber(BigDecimal value) {
        this.checkNumber = value;
    }

    /**
     * Gets the value of the checkDate property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getProcessDate() {
        return checkDate;
    }

    /**
     * Sets the value of the checkDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setProcessDate(XMLGregorianCalendar value) {
        this.checkDate = value;
    }

}
