
package nl.amis.probe.webservice.types;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * <p>Java class for tComponent complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="tComponent">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="Name" type="{nl.amis.messages/probeservice/v1}tString"/>
 *         &lt;element name="DateTimeResponse" type="{nl.amis.messages/probeservice/v1}tDateTime"/>
 *         &lt;element name="ErrorOccured" type="{nl.amis.messages/probeservice/v1}tText" minOccurs="0"/>
 *         &lt;element name="Route" type="{nl.amis.messages/probeservice/v1}tRoute" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "tComponent", propOrder = {
    "name",
    "dateTimeResponse",
    "errorOccured",
    "route"
})
public class TComponent {

    @XmlElement(name = "Name", required = true)
    protected String name;
    @XmlElement(name = "DateTimeResponse", required = true)
    protected XMLGregorianCalendar dateTimeResponse;
    @XmlElement(name = "ErrorOccured")
    protected String errorOccured;
    @XmlElement(name = "Route")
    protected TRoute route;

    /**
     * Gets the value of the name property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getName() {
        return name;
    }

    /**
     * Sets the value of the name property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setName(String value) {
        this.name = value;
    }

    /**
     * Gets the value of the dateTimeResponse property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getDateTimeResponse() {
        return dateTimeResponse;
    }

    /**
     * Sets the value of the dateTimeResponse property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setDateTimeResponse(XMLGregorianCalendar value) {
        this.dateTimeResponse = value;
    }

    /**
     * Gets the value of the errorOccured property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getErrorOccured() {
        return errorOccured;
    }

    /**
     * Sets the value of the errorOccured property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setErrorOccured(String value) {
        this.errorOccured = value;
    }

    /**
     * Gets the value of the route property.
     * 
     * @return
     *     possible object is
     *     {@link TRoute }
     *     
     */
    public TRoute getRoute() {
        return route;
    }

    /**
     * Sets the value of the route property.
     * 
     * @param value
     *     allowed object is
     *     {@link TRoute }
     *     
     */
    public void setRoute(TRoute value) {
        this.route = value;
    }

}
