(:: pragma bea:global-element-parameter parameter="$deepPingResponse" element="ns0:DeepPingResponse" location="../proxy/xsd/ProbeService.msg.xsd" ::)
(:: pragma bea:global-element-parameter parameter="$deepPingRequest" element="ns0:DeepPingRequest" location="../proxy/xsd/ProbeService.msg.xsd" ::)
(:: pragma bea:global-element-return element="ns0:DeepPingResponse" location="../proxy/xsd/ProbeService.msg.xsd" ::)

declare namespace ns0 = "nl.amis.messages/probeservice/v1";
declare namespace xf = "http://tempuri.org/ProbeService/xquery/DeepPingResponse/";

declare function xf:DeepPingResponse($deepPingResponse as element(ns0:DeepPingResponse),
    $deepPingRequest as element(ns0:DeepPingRequest))
    as element(ns0:DeepPingResponse) {
        <ns0:DeepPingResponse>
            {
                for $DateTimeRequest in $deepPingRequest/ns0:DateTimeRequest
                return
                    <ns0:DateTimeRequest>{ data($DateTimeRequest) }</ns0:DateTimeRequest>
            }
            <ns0:DateTimeResponse>{ fn:current-dateTime() }</ns0:DateTimeResponse>
            <ns0:Route>
                <ns0:Component>
                    <ns0:Name>ProbeService</ns0:Name>
                    <ns0:DateTimeResponse>{ fn:current-dateTime() }</ns0:DateTimeResponse>
                    <ns0:Route>{ $deepPingResponse/ns0:Route/@* , $deepPingResponse/ns0:Route/node() }</ns0:Route>
                </ns0:Component>
            </ns0:Route>
        </ns0:DeepPingResponse>
};

declare variable $deepPingResponse as element(ns0:DeepPingResponse) external;
declare variable $deepPingRequest as element(ns0:DeepPingRequest) external;

xf:DeepPingResponse($deepPingResponse,
    $deepPingRequest)
