
package nl.amis.probe.webservice.types;

import java.math.BigInteger;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * <p>Java class for tDeepPingRequest complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="tDeepPingRequest">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="DateTimeRequest" type="{nl.amis.messages/probeservice/v1}tDateTime" minOccurs="0"/>
 *         &lt;element name="AmountOfLevels" type="{nl.amis.messages/probeservice/v1}tAmount"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "tDeepPingRequest", propOrder = {
    "dateTimeRequest",
    "amountOfLevels"
})
public class TDeepPingRequest {

    @XmlElement(name = "DateTimeRequest")
    protected XMLGregorianCalendar dateTimeRequest;
    @XmlElement(name = "AmountOfLevels", required = true, defaultValue = "1")
    protected BigInteger amountOfLevels;

    /**
     * Gets the value of the dateTimeRequest property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getDateTimeRequest() {
        return dateTimeRequest;
    }

    /**
     * Sets the value of the dateTimeRequest property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setDateTimeRequest(XMLGregorianCalendar value) {
        this.dateTimeRequest = value;
    }

    /**
     * Gets the value of the amountOfLevels property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getAmountNiveaus() {
        return amountOfLevels;
    }

    /**
     * Sets the value of the amountOfLevels property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setAmountNiveaus(BigInteger value) {
        this.amountOfLevels = value;
    }

}
