(:: pragma bea:global-element-parameter parameter="$pingRequest" element="ns0:PingRequest" location="../proxy/xsd/ProbeService.msg.xsd" ::)
(:: pragma bea:global-element-return element="ns0:PingResponse" location="../proxy/xsd/ProbeService.msg.xsd" ::)

declare namespace ns0 = "nl.amis.messages/probeservice/v1";
declare namespace xf = "http://tempuri.org/ProbeService/xquery/pingComponent/";

declare function xf:pingComponent($pingRequest as element(ns0:PingRequest))
    as element(ns0:PingResponse) {
        <ns0:PingResponse>
            {
                for $DateTimeRequest in $pingRequest/ns0:DateTimeRequest
                return
                    <ns0:DateTimeRequest>{ data($DateTimeRequest) }</ns0:DateTimeRequest>
            }
            <ns0:DateTimeResponse>{ fn:current-dateTime() }</ns0:DateTimeResponse>
        </ns0:PingResponse>
};

declare variable $pingRequest as element(ns0:PingRequest) external;

xf:pingComponent($pingRequest)
