(:: pragma bea:global-element-parameter parameter="$checkProcessRequest" element="ns0:CheckProcessRequest" location="../proxy/xsd/ProbeService.msg.xsd" ::)
(:: pragma bea:global-element-parameter parameter="$checkProcessResponse" element="ns0:CheckProcessResponse" location="../proxy/xsd/ProbeService.msg.xsd" ::)
(:: pragma bea:global-element-return element="ns0:CheckProcessResponse" location="../proxy/xsd/ProbeService.msg.xsd" ::)

declare namespace ns0 = "nl.amis.messages/probeservice/v1";
declare namespace xf = "http://tempuri.org/ProbeService/xquery/CheckProcessResponse/";

declare function xf:CheckProcessResponse($checkProcessRequest as element(ns0:CheckProcessRequest),
    $checkProcessResponse as element(ns0:CheckProcessResponse))
    as element(ns0:CheckProcessResponse) {
        <ns0:CheckProcessResponse>
            <ns0:ProcessedResponse>
                {
                    fn:concat("ProbeServiceOSBProxy: String=", $checkProcessRequest/ns0:ProcessString, ", Number=", $checkProcessRequest/ns0:ProcessNumber, 
                    	", Date=", $checkProcessRequest/ns0:ProcessDate, " => ", $checkProcessResponse/ns0:ProcessedResponse)
                }
</ns0:ProcessedResponse>
        </ns0:CheckProcessResponse>
};

declare variable $checkProcessRequest as element(ns0:CheckProcessRequest) external;
declare variable $checkProcessResponse as element(ns0:CheckProcessResponse) external;

xf:CheckProcessResponse($checkProcessRequest,
    $checkProcessResponse)
